---

nginx_user: nginx
nginx_install_user_uid: 2070
nginx_home_directory: /home/nginx
nginx_log_path: "/var/log/{{ nginx_user }}"
# nginx_ssl_path: "/etc/nginx/conf.d/ssl"
nginx_certificate_years_validity: 2
nginx_certificate_not_after: "{{ '%Y-%m-%dT%H:%M:%S.600Z' | strftime((ansible_date_time.epoch | int) + (86400 * 365 * nginx_certificate_years_validity - 86400)) }}"
#Custom vars

def_selinux_rule:
  - "setsebool -P httpd_read_user_content 1"
  - "setsebool -P httpd_can_network_connect 1"
  - "semanage fcontext -a -t httpd_log_t '{{ nginx_log_path }}(/.*)?'"

selinux_commands: "{{ def_selinux_rule }}"

